Remove a PermissionPolicy from a user group - m3ter Documentation
Remove a PermissionPolicy from a user group
cURL
curl --request POST \
--url https://api.m3ter.com/organizations/{orgId}/permissionpolicies/{permissionPolicyId}/removefromusergroup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"principalId": "<string>",
"version": 123
}
'
Python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/permissionpolicies/{permissionPolicyId}/removefromusergroup"
payload = {
"principalId": "<string>",
"version": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({principalId: '<string>', version: 123})
};
fetch('https://api.m3ter.com/organizations/{orgId}/permissionpolicies/{permissionPolicyId}/removefromusergroup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Codes
Successful Response Example
{
"id": "<string>",
"version": 123,
"permissionPolicyId": "<string>",
"principalId": "<string>",
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>"
}
Body Parameters
- principalId: string, required, Minimum string length:
1
- version: integer, required, The version number of the entity.
Response Parameters
- id: string, required, The UUID of the entity.
- version: integer, The version number.
- permissionPolicyId: string.
- principalId: string.
- dtCreated: string, The DateTime when the principal permission was created.
- dtLastModified: string, The DateTime when the principal permission was last modified.
- createdBy: string.
- lastModifiedBy: string.